Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SysQueriesRowOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SysQueriesRow`, `ClientWireProtocol.SysQueriesRow.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.SysQueriesRowOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getDatabase()` | `string database = 9;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 9;`
`int` | `getElapsedTimeSec()` | `int32 elapsed_time_sec = 6;`
`long` | `getEstimatedResultRows()` | `int64 estimated_result_rows = 12;`
`long` | `getEstimatedResultSize()` | `int64 estimated_result_size = 13;`
`int` | `getEstimatedTimeSec()` | `int32 estimated_time_sec = 3;`
`float` | `getImportance()` | `float importance = 2;`
`String` | `getQueryId()` | `string query_id = 1;`
`com.google.protobuf.ByteString` | `getQueryIdBytes()` | `string query_id = 1;`
`String` | `getQueryServer()` | `string query_server = 8;`
`com.google.protobuf.ByteString` | `getQueryServerBytes()` | `string query_server = 8;`
`String` | `getRemoteIP()` | `string remoteIP = 10;`
`com.google.protobuf.ByteString` | `getRemoteIPBytes()` | `string remoteIP = 10;`
`long` | `getSentBytes()` | `int64 sent_bytes = 15;`
`long` | `getSentRows()` | `int64 sent_rows = 14;`
`String` | `getServiceClass()` | `string service_class = 11;`
`com.google.protobuf.ByteString` | `getServiceClassBytes()` | `string service_class = 11;`
`String` | `getSqlText()` | `string sql_text = 5;`
`com.google.protobuf.ByteString` | `getSqlTextBytes()` | `string sql_text = 5;`
`String` | `getStatus()` | `string status = 7;`
`com.google.protobuf.ByteString` | `getStatusBytes()` | `string status = 7;`
`String` | `getUserid()` | `string userid = 4;`
`com.google.protobuf.ByteString` | `getUseridBytes()` | `string userid = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getQueryId

String getQueryId()
`string query_id = 1;`

Returns:
  The queryId.

### getQueryIdBytes

com.google.protobuf.ByteString getQueryIdBytes()
`string query_id = 1;`

Returns:
  The bytes for queryId.

### getImportance

float getImportance()
`float importance = 2;`

Returns:
  The importance.

### getEstimatedTimeSec

int getEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

Returns:
  The estimatedTimeSec.

### getUserid

String getUserid()
`string userid = 4;`

Returns:
  The userid.

### getUseridBytes

com.google.protobuf.ByteString getUseridBytes()
`string userid = 4;`

Returns:
  The bytes for userid.

### getSqlText

String getSqlText()
`string sql_text = 5;`

Returns:
  The sqlText.

### getSqlTextBytes

com.google.protobuf.ByteString getSqlTextBytes()
`string sql_text = 5;`

Returns:
  The bytes for sqlText.

### getElapsedTimeSec

int getElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

Returns:
  The elapsedTimeSec.

### getStatus

String getStatus()
`string status = 7;`

Returns:
  The status.

### getStatusBytes

com.google.protobuf.ByteString getStatusBytes()
`string status = 7;`

Returns:
  The bytes for status.

### getQueryServer

String getQueryServer()
`string query_server = 8;`

Returns:
  The queryServer.

### getQueryServerBytes

com.google.protobuf.ByteString getQueryServerBytes()
`string query_server = 8;`

Returns:
  The bytes for queryServer.

### getDatabase

String getDatabase()
`string database = 9;`

Returns:
  The database.

### getDatabaseBytes

com.google.protobuf.ByteString getDatabaseBytes()
`string database = 9;`

Returns:
  The bytes for database.

### getRemoteIP

String getRemoteIP()
`string remoteIP = 10;`

Returns:
  The remoteIP.

### getRemoteIPBytes

com.google.protobuf.ByteString getRemoteIPBytes()
`string remoteIP = 10;`

Returns:
  The bytes for remoteIP.

### getServiceClass

String getServiceClass()
`string service_class = 11;`

Returns:
  The serviceClass.

### getServiceClassBytes

com.google.protobuf.ByteString getServiceClassBytes()
`string service_class = 11;`

Returns:
  The bytes for serviceClass.

### getEstimatedResultRows

long getEstimatedResultRows()
`int64 estimated_result_rows = 12;`

Returns:
  The estimatedResultRows.

### getEstimatedResultSize

long getEstimatedResultSize()
`int64 estimated_result_size = 13;`

Returns:
  The estimatedResultSize.

### getSentRows

long getSentRows()
`int64 sent_rows = 14;`

Returns:
  The sentRows.

### getSentBytes

long getSentBytes()
`int64 sent_bytes = 15;`

Returns:
  The sentBytes.